const fs = require('fs-extra');
const native = fs.existsSync('./build/Debug/fs_xtra.node') ? require('./build/Debug/fs_xtra.node') : require('./build/Release/fs_xtra.node');
const { promisify } = require('util');

module.exports = fs;
module.exports.hasAppXPermissions = promisify(native.hasAppXPermissions);
module.exports.setAppXPermissions = promisify(native.setAppXPermissions);
